Subject: RE: How to set up crontab file in cygwin?
From: "Jeff Lu" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Mon, 28 Jan 2002 18:55:28 -0800

This is what is in my cron file

# DO NOT EDIT THIS FILE - edit the master and reinstall.
# (/tmp/crontab.272 installed on Mon Jan 28 18:22:31 2002)
# (Cron version -- $Id: crontab.c,v 1.3 2001/06/07 17:12:28 corinna Exp $)
SHELL=/bin/sh
0-59/2 * * * * /c/progra~1/apache~1/apache/cgi-bin/print

I got this when try to start service
$ cygrunsrv -S cron
cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error 1062:
The service has not been started.

What am I doing wrong?

Thanks

-----Original Message-----
From: Gerrit P. Haase [mailto:[email-masked]]
Sent: Saturday, January 05, 2002 11:30 AM
To: Jeff Lu
Cc: Cygwin
Subject: Re: How to set up crontab file in cygwin?

Hallo Jeff,

Please keep Cygwin related discussion on the Cygwin list.

Am 2002-01-05 um 19:16 schriebst du:

> Can you show the steps in setting up the crontab file
> and the cron job?

usage:  crontab [-u user] file
        crontab [-u user] { -e | -l | -r }
                (default operation is replace, per 1003.2)
        -e      (edit user's crontab)
        -l      (list user's crontab)
        -r      (delete user's crontab)

I use always joe because I'm too stupid to learn the VI:
$ export EDITOR=joe
you may use also `vim' as editor.
Then run:
$ crontab -e

In joe I get existing crontabs and if there are none then
an empty file, first line in my files is always:
MAILTO=gp at familiehaase.de           # <---- [email-masked]
and then the jobs:
0 0-23/4 * * * /usr/bin/updatedb

This means:
Run: /usr/bin/updatedb at 0:00, 4:00, 8:00, 12:00, 16:00, 20:00 o'clock,
every day of the month (say every four hours).

For details how to run a job every Monday to Friday but not Saturday and
Sunday look `man crontab' & `man 5 crontab' & `man cron'

The daemon itself is installed with cygrunsrv, see in the archives:

http://cygwin.com/ml/cygwin/2001-12/msg01242.html

Gerrit
-- 
=^..^=                                        mailto:[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/